package groupPower_e

import "git.hilo.cn/hilo-common/resource/mysql"

type GroupPowerGrade int

const (
	GroupPowerGrade0 GroupPowerGrade = 0
	GroupPowerGrade1 GroupPowerGrade = 1 // 青铜
	GroupPowerGrade2 GroupPowerGrade = 2 // 白银
	GroupPowerGrade3 GroupPowerGrade = 3 // 黄金
	GroupPowerGrade4 GroupPowerGrade = 4 // 黑金

	GroupPowerGradeMax = GroupPowerGrade4
)

var (
	GroupPowerGradeExp = map[GroupPowerGrade]mysql.Num{
		GroupPowerGrade1: 2500000,
		GroupPowerGrade2: 15000000,
		GroupPowerGrade3: 45000000, // todo
		GroupPowerGrade4: 60000000,
	}
)

type GroupPowerPrivilege int

const (
	GroupPowerPrivilegeMemberNum         GroupPowerPrivilege = 1 // 成员数
	GroupPowerPrivilegeMgrNum            GroupPowerPrivilege = 2 // 管理员数
	GroupPowerPrivilegeNameplate         GroupPowerPrivilege = 3 // 家族铭牌
	GroupPowerPrivilegeMedal             GroupPowerPrivilege = 4 // 家族徽章装饰
	GroupPowerPrivilegeNameplateEdit     GroupPowerPrivilege = 5 // 编辑铭牌
	GroupPowerPrivilegeNameplateHeadwear GroupPowerPrivilege = 6 // 家族头饰
)
